//
//  MainInteractor.swift
//  NasaProj
//
//  Created by NATCHANON TREERATTANANUKUL on 30/6/2566 BE.
//  Copyright (c) 2566 BE ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the Clean Swift Xcode Templates so
//  you can apply clean architecture to your iOS and Mac projects,
//  see http://clean-swift.com
//

import UIKit

protocol MainBusinessLogic
{
    func sortButtonTapped(request: Main.SortModal.Request)
}

protocol MainDataStore
{
    //var name: String { get set }
}

class MainInteractor: MainBusinessLogic, MainDataStore
{
    var presenter: MainPresenterProtocol?
    var worker: MainWorker?
    //var name: String = ""
    
    // MARK: Sort Button Tapped
    
    func sortButtonTapped(request: Main.SortModal.Request) {
        let response = Main.SortModal.Response()
        presenter?.sortAlert(response: response)
    }
}
